import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';

import {AppComponent} from './app.component';
import {
  MatButtonModule,
  MatCardModule,
  MatDialogModule,
  MatGridListModule,
  MatIconModule,
  MatListModule,
  MatMenuModule,
  MatSidenavModule,
  MatToolbarModule
} from '@angular/material';
import {RouterModule, Routes} from '@angular/router';
import {HomeComponent} from './home/home.component';
import {VttTraceComponent} from './vtt-trace/vtt-trace/vtt-trace.component';
import {LeafletModule} from '@asymmetrik/ngx-leaflet';
import {HttpClientModule} from '@angular/common/http';
import {FormsModule} from '@angular/forms';
import {VttTraceFormNewTraceComponent} from './vtt-trace/vtt-trace/vtt-trace.formNewTraceComponent';
import {DialogComponent} from './dialog/dialog.component';
import { MyDialogComponent } from './my-dialog/my-dialog.component';

const routes: Routes = [
  {path: 'home', component: HomeComponent},
  { path: '',   redirectTo: '/home', pathMatch: 'full' },
  {path: 'vtt', component: VttTraceComponent}
 /* {path: 'dashboard', component: DashboardComponent},
  {path: 'capteur-ht', component: CapteurHtComponent},
  {path: 'todolist', component: TodoDashboardComponent},
  { path: '',   redirectTo: '/dashboard', pathMatch: 'full' },
   { path: '**', component: PageNotFoundComponent }*/
];

@NgModule({
  declarations: [
    AppComponent,
    HomeComponent,
    VttTraceComponent,
    VttTraceFormNewTraceComponent,
    DialogComponent,
    MyDialogComponent,
    MyDialogComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    MatGridListModule,
    MatCardModule,
    MatMenuModule,
    MatToolbarModule,
    MatButtonModule,
    MatIconModule,
    MatSidenavModule,
    MatListModule,
    MatDialogModule,
    RouterModule.forRoot(routes),
    HttpClientModule,
    LeafletModule.forRoot(),
    FormsModule
  ],
  entryComponents: [MyDialogComponent],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
